Subject: Making dsx0ChannelNumber read-only

From: Dave Fowler <[email-masked]>
Date: Tue, 03 Feb 1998 16:52:15 -0500

All,

Well, making connections with ds0s requires that a channel be
specified and I am unsure why changing the channel number has
any value in that context. I am leaning towards read-only.

Any nay-sayers?

David

> > The dsx0ChannelNumber value should be assigned by the agent. 
> > dsx0ChannelNumber should 
> > be read-only.  ds0s are not created as a result of a ds1 that represents
> > a ds2 (lineType
> > is dsx1DS2M12 or dsx1E2, OR if speed not equal to 1544000 or 2048000.
> 
> I fully agree with you here.  The dsx0ChannelNumber value should
> definitely be assigned by the agent, AND should also be read-only.
> Otherwise, it leaves the MIB wide open for interpretation about what
> it means for the manager to assign arbitrary values.
> 
> [Saying this, I already anticipate some debate on this issue,
> since I thought I remembered hearing someone say that they had
> planned to implement cross-connects using this object....]

-- 
David Fowler                                   email:
[email-masked]
Newbridge Networks Corporation                 voice: (613) 599-3600 
ext.6559
600 March Rd, Kanata, Ontario, Canada K2K 2E6  fax:   (613) 599-3619